Fibo 2.0 Edit
整合
模型 id
bria/fibo-2/edit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/fibo-2/edit?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bria/fibo-2/edit?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
],
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bria/fibo-2/edit", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/zh-TW/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "bria/fibo-2/edit",
"input": {
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
}
}
透過 Doitong API 呼叫 Fibo 2.0 Edit 模型(bria/fibo-2/edit)。代理程式文件:https://doitong.com/zh-TW/developers/models/bria/fibo-2/edit.md
POST https://api.doitong.com/v1/run/bria/fibo-2/edit?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
}
如果回應狀態為 "queued" 或 "running",請輪詢 GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20,直到狀態變為 "succeeded";檔案位於 outputs[].url。使用相同主體傳送 POST https://api.doitong.com/v1/quote/bria/fibo-2/edit,可在執行前取得確切價格。
此請求: $0.04 40 API 點數 在此頁面執行
您的新 API 金鑰。 僅會在此時顯示,且已填入下方的程式碼與 API 金鑰欄位。請妥善保密:切勿將其放入在瀏覽器中執行的程式碼。
建立請求
控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。
POST
/run/bria/fibo-2/edit?wait=20
報價 → $0.04
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/fibo-2/edit?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bria/fibo-2/edit?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
],
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bria/fibo-2/edit", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "bria/fibo-2/edit",
"input": {
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
},
"wait_seconds": 20
}
}
}
關於 Fibo 2.0 Edit
編輯 `image_urls` 中的一至四張影像,`instruction` 以 <image_1>、<image_2> 等名稱指代它們。適合背景替換與產品場景重製。單影像請求可用 `mask_url` 將編輯限制在特定區域。`aspect_ratio` 提供 16 個值,也可傳入或重用結構化 `vgl` 文件。
參數
請傳送標準名稱或原生名稱其中之一,不要同時傳送兩者。 標準名稱
名稱類型
預設值允許值
說明
image_urls必填
images
類型url[] · image
≤ 4 個項目
依提交順序編號為 <image_1>、<image_2> 等的編輯輸入,以便在指示中使用。請以檔案或 URL 提供 1–4 張圖像。
instruction選填
類型string | null
在同時提供 'vgl' 時,用於修改它的編輯指示。否則,系統會將自由格式請求擴展為 VGL 文件並納入回應。
aspect_ratio選填
類型enum
1:11:21:31:41:52:12:33:13:23:44:14:34:55:15:49:16
另有 5 個
9:2110:1616:916:1021:9約一百萬像素輸出的長寬比設定;無論此設定為何,單一輸入圖像都會保留其比例。使用多個輸入時,省略此設定會採用第一張圖像的比例。
seed選填
類型integer
預設值5555
0 – 2,147,483,647
控制隨機性以產生可重現結果的種子,範圍為 0 至 2147483647。
mask_url選填
mask
類型url · image
適用於包含單一圖像的請求之編輯遮罩,以檔案或 URL 提供,尺寸須與該圖像相同。白色標示重新生成區域;黑色標示其他所有區域。結果使用輸入尺寸,並保留遮罩外的像素。
vgl選填
類型object
可從較早回應重複使用的 VGL (Visual Generation Language) 文件。與 'instruction' 一起提供時,代表第一張圖像並作為編輯基準;未提供 'instruction' 時,會指定不變的編輯內容,且必須包含 'edit_instruction'。
vgl.short_description選填
類型string | null
預期輸出圖像的簡短描述。
vgl.objects選填
類型object[]
預設值[]
以清單指定生成圖像的內容,記錄每個物件的屬性及其與其他圖示物件的關係。
vgl.objects[].description選填
類型string | null
預期輸出物件的描述。
vgl.objects[].location選填
類型string | null
物件在圖像中的位置。
vgl.objects[].relationship必填
類型string
物件與圖像中其他物件的關係。
vgl.objects[].relative_size選填
類型string | null
物件相對於圖像的大小。
vgl.objects[].shape_and_color選填
類型string | null
物件的形狀與色彩。
vgl.objects[].texture選填
類型string | null
物件的材質。
vgl.objects[].appearance_details選填
類型string | null
描述物件外觀的詳細資訊。
vgl.objects[].number_of_objects選填
類型integer | null
圖像中的物件數量。
vgl.objects[].pose選填
類型string | null
圖示物件的姿勢。
vgl.objects[].expression選填
類型string | null
圖示物件呈現的表情。
vgl.objects[].clothing選填
類型string | null
圖示物件穿著的服裝。
vgl.objects[].action選填
類型string | null
圖示物件執行的動作。
vgl.objects[].gender選填
類型string | null
圖示物件的性別。
vgl.objects[].skin_tone_and_texture選填
類型string | null
圖示物件的皮膚質感與色調。
vgl.objects[].orientation選填
類型string | null
圖示物件的方向。
vgl.background_setting選填
類型string | null
生成圖像的背景設定。
vgl.lighting選填
類型object
生成圖像的光線。
vgl.lighting.conditions選填
類型string | null
生成圖像的光線條件。
vgl.lighting.direction選填
類型string | null
生成圖像的光線方向。
vgl.lighting.shadows選填
類型string | null
生成圖像中要呈現的陰影。
vgl.aesthetics選填
類型object
生成圖像的美學特質。
vgl.aesthetics.composition選填
類型string | null
生成圖像的構圖。
vgl.aesthetics.color_scheme選填
類型string | null
生成圖像的色彩配置。
vgl.aesthetics.mood_atmosphere選填
類型string | null
生成圖像的情緒與氛圍。
vgl.photographic_characteristics選填
類型object
生成圖像的攝影特性。
vgl.photographic_characteristics.depth_of_field選填
類型string | null
生成圖像的景深。
vgl.photographic_characteristics.focus選填
類型string | null
生成圖像的焦點。
vgl.photographic_characteristics.camera_angle選填
類型string | null
生成圖像的相機角度。
vgl.photographic_characteristics.lens_focal_length選填
類型string | null
生成圖像的鏡頭設定,以焦距表示。
vgl.style_medium選填
類型string | null
生成圖像的藝術媒材。
vgl.text_render選填
類型object[]
預設值[]
要包含在圖像中的文字項目清單。
vgl.text_render[].text必填
類型string
要繪製的文字;也會以圖像形式視覺呈現給 fibo-2,以協助精確重現提供的文字內容。
vgl.text_render[].location選填
類型string | null
文字在圖像中的位置。
vgl.text_render[].size選填
類型string | null
文字在圖像中的大小。
vgl.text_render[].color選填
類型string | null
文字使用的色彩。
vgl.text_render[].font選填
類型string | null
文字的字型樣式。
vgl.text_render[].appearance_details選填
類型string | null
文字外觀的其他重要詳細資訊。
vgl.context選填
類型string | null
生成圖像的情境。
vgl.artistic_style選填
類型string | null
生成圖像的藝術風格。
vgl.edit_instruction選填
類型string | null
描述如何編輯圖像的指示。
必填
標準名稱,也可使用
檔案參數接受公開的 https:// URL、最大 10 MB 的 data: URI,或上傳檔案的 file_url。 檔案
輸出
GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "bria/fibo-2/edit",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 40,
"usd": "0.04",
"charged": 40,
"refunded": 0
},
"input": {
"image_urls": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
},
"output": {
"image": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
},
"images": [
{
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
}
],
"vgl": {}
},
"outputs": [
{
"type": "image",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
- image
- object {url, content_type, file_name, file_size, width, height}編輯產生的圖像。
- images
- array of object {url, content_type, file_name, file_size, width, height}符合其他 FIBO 應用程式回傳格式的圖像清單;唯一項目就是同一張圖像。
- vgl
- object用於編輯的 VGL,其中包含其 `edit_instruction`。
其他 Fibo 2.0 變體
更多模型:圖像編輯
給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/bria/fibo-2/edit.md. 所有模型與指南: https://doitong.com/developers/llms.txt






